## gobuf

一个 protobuf 文件解析工具

## 用法

```go
package main

import "gitter.top/common/gobuf"

func main() {
    parser, err := gobuf.NewParser("example.proto")
    if err != nil {
        // do something    
    }
    // 是否存在Service User
    parser.ExistService("User")
    // 是否存在Message UserAddResp
    parser.ExistMessage("UserAddResp")
    // 是否存在RPC User.Add
    parser.ExistRPC("User", "Add")
    // 添加一个RPC Update
    parser.AddRPC("User", "Update")
    // 添加一个Service Member
    parser.AddService("Member")
```
