package gobuf

import (
	"github.com/stretchr/testify/assert"
	"testing"
)

func TestInjectTag_Inject(t *testing.T) {
	var parser = NewInjectTag("./example.pb.go")
	err := parser.WithTags(InjectTagProps{
		TagName: "bson",
	}, InjectTagProps{
		TagName: "pson",
		Style:   LowerCase,
	}).Inject()
	assert.Nil(t, err)
}
